View a room participant.
GET
/
room_participants
/
{room_participant_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const roomParticipant = await client.roomParticipants.retrieve(
'0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
);
console.log(roomParticipant.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
room_participant = client.room_participants.retrieve(
"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
)
print(room_participant.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
roomParticipant, err := client.RoomParticipants.Get(context.TODO(), "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", roomParticipant.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.roomparticipants.RoomParticipantRetrieveParams;
import com.telnyx.sdk.models.roomparticipants.RoomParticipantRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RoomParticipantRetrieveResponse roomParticipant = client.roomParticipants().retrieve("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
room_participant = telnyx.room_participants.retrieve("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")
puts(room_participant)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$roomParticipant = $client->roomParticipants->retrieve(
'0ccc7b54-4df3-4bca-a65a-3da1ecc777f0'
);
var_dump($roomParticipant);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx room-participants retrieve \
--api-key 'My API Key' \
--room-participant-id 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0curl --request GET \
--url https://api.telnyx.com/v2/room_participants/{room_participant_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "7b61621f-62e0-4aad-ab11-9fd19e272e73",
"session_id": "7b61621f-5fe4-4aad-ab11-9fd19e272e73",
"context": "Alice",
"joined_at": "2021-04-16T09:46:20.954863Z",
"updated_at": "2021-04-16T10:24:55.962200Z",
"left_at": "2021-04-16T10:24:55.962200Z",
"record_type": "room_participant"
}
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a room participant.
Example:
"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0"
Response
Get room participant response.
Show child attributes
Show child attributes
Example:
{
"id": "7b61621f-62e0-4aad-ab11-9fd19e272e73",
"session_id": "7b61621f-5fe4-4aad-ab11-9fd19e272e73",
"context": "Alice",
"joined_at": "2021-04-16T09:46:20.954863Z",
"updated_at": "2021-04-16T10:24:55.962200Z",
"left_at": "2021-04-16T10:24:55.962200Z",
"record_type": "room_participant"
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const roomParticipant = await client.roomParticipants.retrieve(
'0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
);
console.log(roomParticipant.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
room_participant = client.room_participants.retrieve(
"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
)
print(room_participant.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
roomParticipant, err := client.RoomParticipants.Get(context.TODO(), "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", roomParticipant.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.roomparticipants.RoomParticipantRetrieveParams;
import com.telnyx.sdk.models.roomparticipants.RoomParticipantRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RoomParticipantRetrieveResponse roomParticipant = client.roomParticipants().retrieve("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
room_participant = telnyx.room_participants.retrieve("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")
puts(room_participant)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$roomParticipant = $client->roomParticipants->retrieve(
'0ccc7b54-4df3-4bca-a65a-3da1ecc777f0'
);
var_dump($roomParticipant);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx room-participants retrieve \
--api-key 'My API Key' \
--room-participant-id 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0curl --request GET \
--url https://api.telnyx.com/v2/room_participants/{room_participant_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "7b61621f-62e0-4aad-ab11-9fd19e272e73",
"session_id": "7b61621f-5fe4-4aad-ab11-9fd19e272e73",
"context": "Alice",
"joined_at": "2021-04-16T09:46:20.954863Z",
"updated_at": "2021-04-16T10:24:55.962200Z",
"left_at": "2021-04-16T10:24:55.962200Z",
"record_type": "room_participant"
}
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}